org.apache.tapestry5.ioc.internal

## Class ServiceActivityTrackerImpl

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.ServiceActivityTrackerImpl

- All Implemented Interfaces:
    ServiceActivityTracker, ServiceActivityScoreboard

      public class ServiceActivityTrackerImpl
      extends Object
      implements ServiceActivityScoreboard, ServiceActivityTracker

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServiceActivityTrackerImpl.MutableServiceActivity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceActivityTrackerImpl(PerthreadManager perthreadManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `define(ServiceDef serviceDef, Status initialStatus)` Defines a service in the tracker with an initial status.
    `List<ServiceActivity>` | `getServiceActivity()` Returns the status of all services, sorted alphabetically by service id.
    `void` | `setStatus(String serviceId, Status status)` Updates the status for the service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceActivityTrackerImpl

          public ServiceActivityTrackerImpl(PerthreadManager perthreadManager)

  - ### Method Detail

    - #### getServiceActivity

          public List<ServiceActivity> getServiceActivity()

      Description copied from interface: `ServiceActivityScoreboard`
      Returns the status of all services, sorted alphabetically by service id.
      Specified by:
        `getServiceActivity` in interface `ServiceActivityScoreboard`

    - #### define

          public void define(ServiceDef serviceDef,
                             Status initialStatus)

      Description copied from interface: `ServiceActivityTracker`
      Defines a service in the tracker with an initial status.
      Specified by:
        `define` in interface `ServiceActivityTracker`
      Parameters:
        `serviceDef` - the service being defined
        `initialStatus` - typically `Status.BUILTIN` or `Status.DEFINED`

    - #### setStatus

          public void setStatus(String serviceId,
                                Status status)

      Description copied from interface: `ServiceActivityTracker`
      Updates the status for the service.
      Specified by:
        `setStatus` in interface `ServiceActivityTracker`
      Parameters:
        `serviceId` - identifies the service, which must be previously defined
        `status` - the new status value

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.